Community Forum

John
John
Offline
Resolved
0 votes
Hi,

I discovered that there is some sort of ClamAV update and I know that it's not required, but I was still wondering were to get it, or when it will be made available for ClearOS.
]# service clamd restart
Stopping clamav: [ OK ]
Starting clamav: LibClamAV Warning: ***********************************************************
LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/support/faq ***
LibClamAV Warning: ***********************************************************
# yum --enablerepo=base-extras update clamd
Loading "kmod" plugin
Loading "protect-packages" plugin
Setting up Update Process
Could not find update match for clamd
No Packages marked for Update
#

Thanks,

John
Saturday, April 10 2010, 06:20 AM
Share this post:
Responses (13)
  • Accepted Answer

    Monday, March 05 2012, 11:58 AM - #Permalink
    Resolved
    0 votes
    Next COS version is 6.2. I don't think there will be an upgrade of 5.2 to e.g. 5.3 this late in the game. There is an exception: if the current antispam engine in future were found to have a security hole or bug of some kind, an update (or a patched version) would be releasted in the automatice software update mechanism that provides bug and security fixes inbetween version upgrades.

    Peter
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, March 04 2012, 03:41 PM - #Permalink
    Resolved
    0 votes
    Thanks Peter. I'll ignore it for now.
    When you say the next COS version will contain the latest version do you mean CleaOS 6.x or will there be another update for ClearOS 5.2 - if so, do you know when and will this be an automatic update or do I have to do this manually?

    Best wishes,

    Andy
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, March 04 2012, 03:15 PM - #Permalink
    Resolved
    0 votes
    No cause for worry. The message is harmless. All it means is that there is a newer program version available. But the previous one in COS is perfectly good and works without issue. The latest version will be included in the next COS version when it is released.

    Peter
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, March 04 2012, 01:46 PM - #Permalink
    Resolved
    0 votes
    Hi,

    I see this thread is a year old now - we are using ClearOS 5.2 and currently I am seeing the same error on our systems.

    LibClamAv warning

    Stopping clamav: [ OK ]
    Starting clamav: LibClamAV Warning: ***********************************************************
    LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
    LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/support/faq ***
    LibClamAV Warning: ***********************************************************

    Is there a solution to this - we are paying for AV updates from the ClearSDN services but this error is making me concerned that we will have issues with inbound email unless we disable the filtering.

    Many thanks,

    Andy
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, May 11 2010, 03:26 PM - #Permalink
    Resolved
    0 votes
    That is odd. I have never had issues on my system. Are both the broken systems COS 5.1? And are they plain vanila?

    Peter
    The reply is currently minimized Show
  • Accepted Answer

    Socs28
    Socs28
    Offline
    Monday, May 10 2010, 04:40 PM - #Permalink
    Resolved
    0 votes
    I have 2 systems right now, and have had this same problem in the past that once the update started being needed, the spam filter has frozen and they stop passing email unless filtering is disabled. We need a way to keep this up to date, or we need a way to make sure things keep working right regardless. It has been random to some extend, it doesn't happen the day of, and I have other systems that keep working fine.
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, April 13 2010, 02:41 AM - #Permalink
    Resolved
    0 votes
    Dude, don't break it....I would be more apt to be patient and wait for the ClearOS team to include any version upgrade that would include updates to any dependencies as well. It's as Peter said, it works quite well enough for now and the definitions get updated regularly anyway.
    The reply is currently minimized Show
  • Accepted Answer

    John
    John
    Offline
    Sunday, April 11 2010, 12:28 PM - #Permalink
    Resolved
    0 votes
    Hi Tony & Peter,

    Thanks for your responses.
    The ClamAV update I refer too, is mentioned in the link "http://www.clamav.net/support/faq"; and I suspect that Tony is right that it will be available with the next ClearOS update.

    I just wondered if anyone else noticed this and found a way to update it manually now, because the steps for 'CentOS' are not working for me and the 'Red Hat' steps I didn't try.
    I would rather not compile it myself when it will be made available in the near future by the ClearOS team.

    Greetings,

    John
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, April 11 2010, 08:21 AM - #Permalink
    Resolved
    0 votes
    Yes. Engine updates (I quote):

    # service clamd restart
    Stopping clamav: [ OK ]
    Starting clamav: LibClamAV Warning: ***********************************************************
    LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
    LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/support/faq ***
    LibClamAV Warning: ***********************************************************


    Peter
    The reply is currently minimized Show
  • Accepted Answer

    Tony Ellis
    Tony Ellis
    Offline
    Sunday, April 11 2010, 07:40 AM - #Permalink
    Resolved
    0 votes
    Peter, John was talking about updates..

    I discovered that there is some sort of ClamAV update
    The reply is currently minimized Show
Your Reply